summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD45
-rw-r--r--vmwgfx.install28
3 files changed, 94 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c12cb884dd1
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+# Generated by mksrcinfo v8
+# Wed Dec 23 09:13:32 UTC 2015
+pkgbase = vmwgfx-git
+ pkgdesc = vmwgfx(vmware) gpu kernel driver. Git version
+ pkgver = 1.4.1.r362.g9cb5f5b
+ pkgrel = 1
+ url = http://xorg.freedesktop.org/wiki/vmware/
+ install = vmwgfx.install
+ arch = i686
+ arch = x86_64
+ license = custom
+ makedepends = linux-headers
+ depends = libdrm>=2.4.41
+ depends = systemd
+ depends = mesa
+ provides = vmwgfx
+ source = vmwgfx::git://anongit.freedesktop.org/git/mesa/vmwgfx#branch=master
+ md5sums = SKIP
+
+pkgname = vmwgfx-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..156bd98b5eb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,45 @@
+# Maintainer: mnovick1988 <anonymous - contact through aur.>
+# Cloned from: xf86-video-vmware-git pkgbuild
+#
+# Note: Just a quick-fix to get this back on the AUR for those of us that need it.
+#
+
+pkgname=vmwgfx-git
+_realpkgname=vmwgfx
+pkgver=1.4.1.r362.g9cb5f5b
+pkgrel=1
+pkgdesc="vmwgfx(vmware) gpu kernel driver. Git version"
+arch=('i686' 'x86_64')
+url="http://xorg.freedesktop.org/wiki/vmware/"
+provides=("${_realpkgname}")
+depends=('libdrm>=2.4.41' 'systemd' 'mesa')
+makedepends=('linux-headers')
+license=('custom')
+install=vmwgfx.install
+
+_kernver="$(uname -r)"
+
+source=('vmwgfx::git://anongit.freedesktop.org/git/mesa/vmwgfx#branch=master')
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/vmwgfx"
+ ( set -o pipefail
+ git describe --long | sed 's/^vmwgfx-//;s/\([^-]*-g\)/r\1/;s/-/./g'
+ )
+}
+
+build() {
+ cd "${srcdir}/vmwgfx"
+
+ make
+}
+
+package() {
+ cd "${srcdir}/vmwgfx"
+
+ gzip vmwgfx.ko
+ install -dm755 "$pkgdir/usr/lib/modules/$_kernver/kernel/drivers/gpu/drm/vmwgfx"
+ install -m644 vmwgfx.ko.gz "$pkgdir/usr/lib/modules/$_kernver/kernel/drivers/gpu/drm/vmwgfx"
+}
+
diff --git a/vmwgfx.install b/vmwgfx.install
new file mode 100644
index 00000000000..adf8a748e30
--- /dev/null
+++ b/vmwgfx.install
@@ -0,0 +1,28 @@
+#!/bin/bash
+pre_install() {
+kernver="$(uname -r)"
+drmdir="/usr/lib/modules/$kernver/kernel/drivers/gpu/drm"
+ if [ -e $drmdir/vmwgfx ]; then
+ mv "$drmdir/vmwgfx" "$drmdir/vmwgfx_bak"
+ fi
+}
+
+post_install() {
+kernver="$(uname -r)"
+depmod $(cat /usr/lib/modules/$kernver/extramodules/version)
+}
+
+post_upgrade() {
+kernver="$(uname -r)"
+ depmod $(cat /usr/lib/modules/$kernver/extramodules/version)
+ echo 'Please reload vmwgfx module manually, to start using it.'
+}
+
+post_remove() {
+kernver="$(uname -r)"
+drmdir="/usr/lib/modules/$kernver/kernel/drivers/gpu/drm"
+ if [ -e $drmdir/vmwgfx_bak ]; then
+ mv $drmdir/vmwgfx_bak $drmdir/vmwgfx
+ fi
+ depmod $(cat /usr/lib/modules/$kernver/extramodules/version)
+}